@use 'sass:math';

body {
    padding: 0;
    margin: 0;
}
*{
    box-sizing: border-box;
}

.homepage{
    &-container{
        margin: 0;
        box-sizing: border-box;
        width: 100%;
        max-width: 100vw;
        height: 100vh;
        max-height: 100vh;
        padding: 150px;
        background-color: #fefefe;
        display: flex;
        flex-direction: row;
    }
    &-title{
        z-index: 2000;
        width: 40%;
        height: 100%;
        display: flex;
        justify-content: end;
        flex-direction: column;
        padding-bottom: 20px;
        h1{
            font-family: 'Lobster', cursive;
            font-size: 50px;
            color: #070D59;
        }
        span{
            color: #070D59;
            font-family: 'Rajdhani', sans-serif;
            font-size: 25px;
        }
        .button{
            width: 80px;
            padding: 10px 80px;
            background-color: #ee6f57;
            border-radius: 50px;
            margin-top: 50px;
            display: flex;
            justify-content: center;
            align-items: center;
            >img{
                width: 30px;
            }
        }
    }
    &-illustration{
        width: 60%;
        height: 100%;
        background-image: url("/public/assets/homepage-illustration.png");
        background-repeat: no-repeat;
        background-size: contain;
        background-position: right bottom;
    }
    &-nav{
        z-index: 80000;
        background-color: #fefefe;
        position: fixed;
        height: 140px;
        padding: 40px 150px;
        width: 100%;
        display: flex;
        flex-direction: row;
        .logo{
            background-image: url("/public/assets/logo.png");
            width: 60px;
            height: 100%;
            background-position: center center;
            background-size: contain;
            background-repeat: no-repeat;
        }
        .links{
            justify-content: flex-end;
            align-items: center;
            float: right;
            display: flex;
            flex-direction: row;
            width: calc(100% - 60px);
            > div{
                padding-left: 40px;
                display: flex;
                justify-content: center;
                align-items: center;
                a{
                    font-family: 'Rajdhani', sans-serif;
                    font-size: 24px;
                    color: #070D59;
                    text-decoration: none;
                }
            }
        }
    }
}

//variables for text animation
$class-slug: animate;
$total-element: 6;

.animation-wrapper {
    font-family: Montserrat, sans-serif;
    font-size: 44px;
    line-height: 30px;
    font-weight: 500;
    letter-spacing: 0.8px;
    display: block;
    position: absolute;
    width: 200px;
    height: 100%;
    top: 0;
    left: 0;
    text-align: center;
    overflow: hidden;
    color: #efe6dd;
    box-sizing: border-box;
    .#{$class-slug} {
        display: inline-block;
        vertical-align: top;
        width: 100%;
        margin-bottom: 16px;
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        animation: zoomInFade 3s linear 1s infinite forwards;
    }
    @for $i from 0 through $total-element {

        .#{$class-slug}-#{$i} {
            animation-delay: #{$i / 2 + 0.5}#{s};
        }
    }
}





@keyframes zoomInFade {
    0% {
        transform: scale(0.6);
        opacity: 0;
        top: 100%;
        visibility: hidden;
    }
    50% {
        transform: scale(1);
        opacity: 1;
        top: 50%;
        visibility: visible;
    }
    75% {
        top: 36%;
    }
    100% {
        transform: scale(1.4);
        opacity: 0;
        top: 0;
        visibility: hidden;
    }
}
.animation-wrapper-2{
    left: 100px;
    font-family: Montserrat, sans-serif;
    font-size: 44px;
    line-height: 30px;
    font-weight: 500;
    letter-spacing: 5px;
    display: block;
    position: absolute;
    width: 200px;
    height: 100%;
    top: 0;
    text-align: center;
    overflow: hidden;
    color: #efe6dd;
    box-sizing: border-box;

    .#{$class-slug} {
        display: inline-block;
        vertical-align: top;
        width: 100%;
        margin-bottom: 16px;
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        animation: zoomInFade 6s linear 5s infinite forwards;
    }
    @for $i from 0 through $total-element {

        .#{$class-slug}-#{$i} {
            animation-delay: #{$i / 2 + 0.5}#{s};
        }
    }
}